Docs Rizler

V2 Functions

V2 Book Agent Calendar Appointment

POSThttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/{agent_id}/book-appointment
V2 Book Agent Calendar Appointment
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/agent_123/book-appointment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "value",
  "timezone": "value",
  "last_name": "value",
  "user_info": [],
  "first_name": "value",
  "calendar_id": "value",
  "phone_number": "value",
  "appointment_available_ts": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V2 Book Agent Calendar Appointment#

Book an appointment on the agent's configured calendar using an exact slot timestamp. V2 agents only.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

appointment_available_tsstringbodyrequired

max 100

timezonestringbody

max 100. may be null

first_namestringbody

max 100. may be null

last_namestringbody

max 100. may be null

emailstringbody

max 255. may be null

phone_numberstringbody

max 30. may be null

calendar_idstringbody

max 191. may be null

user_infoarraybody

send only when changing this field

curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/agent_123/book-appointment \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"appointment_available_ts":"value","timezone":"value","first_name":"value","last_name":"value","email":"value","phone_number":"value","calendar_id":"value","user_info":[]}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records